用心做好
每一件小事

宝塔面板申请ssl证书失败报错怎么办?Invalid version. The only valid version for X509Req is 0

我们在宝塔面板申请SSL证书时,有时候申请失败,出现Invalid version. The only valid version for X509Req is 0错误提示,今天来说明下问题原因和解决办法。

问题原因:

宝塔申请SSL证书失败的错误源于服务器端使用了与宝塔面板不兼容的OpenSSL版本。服务器端的X509Req版本只支持0,而宝塔默认使用的版本为2。解决这个问题的办法很简单,只需一步即可轻松解决。

解决办法:

在宝塔根目录中找到/www/server/panel/class下面的acme_v2.py文件,点击打开编辑,用搜索功能找到X509Req.set_version(2)代码段 ,将其改为X509Req.set_version(0),点击保存。

现在再试试申请SSL证书就可以成功了!

赞(0) 打赏
本文链接:https://www.laomoss.com/86.html
声明:本站资源仅供个人学习交流,请于下载后24小时内删除,不允许用于商业用途,未经允许不得转载。

评论 抢沙发

觉得文章有用就打赏一下吧

感谢你的打赏,我们将继续提供更多优质内容

支付宝扫一扫

微信扫一扫

登录

找回密码

注册